/*
 * $Id: GdrnCommandConstant.java,v 1.1 2005/08/18 00:02:44 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.gdrn.shell.command;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import org.logical_paradox.rss.dsr.RSSDistributedServiceRegistry;

/**
 * コマンド共通の定数
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class GdrnCommandConstant {
	// DSRに登録されているサービスの名称とコードのリスト
	public static final Map services;
	/*
	 * サービス名とサービス番号を変換するための辞書を作成する
	 */
	static {
		HashMap m = new HashMap();
		// インデックスサーバー
		m.put("INDEXES", new Integer(RSSDistributedServiceRegistry.RSS_SERVID_INDEX_SERVER));
		// キューサーバー
		m.put("QUEUES", new Integer(RSSDistributedServiceRegistry.RSS_SERVID_OQS4R));
		// コンテンツサーバー
		m.put("CONTENTS", new Integer(RSSDistributedServiceRegistry.RSS_SERVID_REMOTE_CONTENTS_MGR));
		// 経路決定サーバー
		m.put("ROUTERS", new Integer(RSSDistributedServiceRegistry.RSS_SERVID_ROUTING_NODE_CLIENT_FACTORY));
		// 分散サービスレジストリ
		m.put("DSR", new Integer(RSSDistributedServiceRegistry.RSS_SERVID_SERVICE_LOCATER));

		services = Collections.unmodifiableMap(m);
	}

}
